"""Main module"""

import time
from datetime import datetime

from rival_regions_marketbot import LOGGER, marketbot


while True:

    items = [
        "oil",
        "ore",
        "uranium",
        "diamonds",
        "liquid_oxygen",
        "helium-3",
        "rivalium",
        "antirad",
        "spacerockets",
        "lss",
        "tanks",
        "aircrafts",
        "missiles",
        "bombers",
        "battleships",
        "laser_drones",
        "moon_tanks",
        "space_stations",
    ]

    sell_price = [
        160,
        155,
        1580,
        1100000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
        500000000,
    ]

    buy_price = [
        145,
        140,
        1450,
        100000,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
        1,
    ]

    LOGGER.info("Looping through resources")
    for index, item in enumerate(items):
        LOGGER.info("Buying: %s", item)
        marketbot.buy(items[index], buy_price[index])
        LOGGER.info("Selling: %s", item)
        marketbot.sell(items[index], sell_price[index])

    SECONDS = 301
    LOGGER.info(
        "Current Time: %s, waiting for %s seconds",
        datetime.now().strftime("%H:%M:%S"),
        SECONDS,
    )
    time.sleep(SECONDS)
